summaryrefslogtreecommitdiff
path: root/init.d/50git-ignore
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/50git-ignore')
-rwxr-xr-xinit.d/50git-ignore14
1 files changed, 14 insertions, 0 deletions
diff --git a/init.d/50git-ignore b/init.d/50git-ignore
new file mode 100755
index 0000000..88866cf
--- /dev/null
+++ b/init.d/50git-ignore
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+if [ ! -e .gitignore ]; then
+ cat >.gitignore <<EOF
+*~
+
+# new and old versions of conffiles, stored by dpkg
+*.dpkg-*
+
+# mount(8) records system state here, no need to keep these in git
+blkid.tab(|.old)
+mtab
+EOF
+fi